com.sun.jna

## Class ELFAnalyser.ELFSectionHeaderEntry

- java.lang.Object
- - com.sun.jna.ELFAnalyser.ELFSectionHeaderEntry

- Enclosing class:
    ELFAnalyser

      static class ELFAnalyser.ELFSectionHeaderEntry
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELFSectionHeaderEntry(boolean _64bit, java.nio.ByteBuffer sectionHeaderData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAddr()`
    `long` | `getFlags()`
    `int` | `getLink()`
    `java.lang.String` | `getName()`
    `int` | `getNameOffset()`
    `long` | `getOffset()`
    `long` | `getSize()`
    `int` | `getType()`
    `void` | `setName(java.lang.String name)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ELFSectionHeaderEntry

          public ELFSectionHeaderEntry(boolean _64bit,
                                       java.nio.ByteBuffer sectionHeaderData)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getNameOffset

          public int getNameOffset()

    - #### getType

          public int getType()

    - #### getFlags

          public long getFlags()

    - #### getOffset

          public long getOffset()

    - #### getSize

          public long getSize()

    - #### getAddr

          public long getAddr()

    - #### getLink

          public int getLink()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.